Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Type Class Reference
[Types]

`#include <Types.h>`

Inherited by tlp::BooleanType, tlp::BooleanVectorType, tlp::ColorType, tlp::ColorVectorType, tlp::CoordVectorType, tlp::DoubleType, tlp::DoubleVectorType, tlp::EdgeSetType, tlp::GraphType, tlp::IntegerType, tlp::IntegerVectorType, tlp::LineType, tlp::PointType, tlp::SizeType, tlp::SizeVectorType, tlp::StringType, and tlp::StringVectorType.

Inheritance diagram for tlp::Type:

[legend]
List of all members.

## Public Member Functions

- Type ()
- ~Type ()

## Constructor & Destructor Documentation

tlp::Type::Type | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010